// Copyright (c)2005, TopCoder, Inc. All rights reserved
// @author TCSDEVELOPER

using System;

namespace TopCoder.Util.ConfigurationManager.StressTests
{
	/// <summary>
	/// New class for testing instantiation in config manager stress tests.
	/// </summary>
	public class NewClass : BaseClass {
        /// <summary>
        /// field new name for testing instantiotion with argument
        /// </summary>
        public string name = null;

        /// <summary>
        /// default constructor without argulents
        /// </summary>
        public NewClass() {
            name = "NewClass";
        }

        /// <summary>
        /// constructor with argument so we can test that 
        /// name wasset in instantiation with arguments in NewStressConcurencyTests
        /// </summary>
        /// <param name="aname">value for name</param>
        public NewClass(string aname) {
            name = aname;
        }
    }
}
